दिलचस्प पोस्ट
उद्देश्य-सी ऑब्जेक्ट के लिए सूची चयनकर्ता UITableView पर बटन को कैसे रखा जाए जो IOS में तालिका के साथ स्क्रॉल नहीं करेगा बच्चे के झुंड से सब-प्रोसेस में कंसोल में पायथन आउटपुट उदाहरणों में क्लास डेटा साझा करने से कैसे बचें? पायथन में पर्यावरण चर कैसे सेट करें संदर्भ ढह रहा है? टेबल डिजाइन करते समय एक-से-एक, एक-से-कई और बहुत-से-कई रिश्ते कैसे लागू करें? फ़ंक्शन से आउटपुट के रूप में मैं चेतावनियों और त्रुटियों को कैसे बचा सकता हूं? एक डीव्ही ब्लॉक के अंदर सीएसएस केंद्र पाठ (क्षैतिज और अनुलंब) अपाचे स्पार्क के साथ प्राथमिक कुंजी ड्रॉप छाया केवल नीचे css3 वरीयताओं के लिए एक कस्टम लेआउट बनाना सूची में खोजदृश्य एक कस्टम एडाप्टर होने मैं दो कॉलमों पर आधारित दो डेटा-फ्रेम कैसे जोड़ूं? लिंक बनाम बनाम नियंत्रक बनाम

ओएस एक्स मैवरिक्स के लिए ग्रहण केप्लर जावा एसई 6 का अनुरोध करते हैं

मैंने अभी OS X Mavericks की साफ स्थापना की है, और मैंने Eclipse Kepler डाउनलोड किया है, लेकिन अगर मैं इसे निष्पादित करता हूं, तो मुझे यह संदेश देता है:

यहां छवि विवरण दर्ज करें

मुझे Runtime Java SE 6 को स्थापित करने के लिए पूछना; मैंने पहले से ही Java 7 स्थापित किया है, और अगर मैं उस संवाद में Install दबाता हूं, इसे डाउनलोड और इंस्टॉल कर रहा हूं, और फिर ग्रहण खोलें, तब संवाद फिर से दिखाई देगा

मैं इसे कैसे ठीक कर सकता हूं?

वेब के समाधान से एकत्रित समाधान "ओएस एक्स मैवरिक्स के लिए ग्रहण केप्लर जावा एसई 6 का अनुरोध करते हैं"

यह ओरेकल की जेआर 8 वीएम क्षमताओं की अनुपस्थित परिभाषाओं के कारण भाग में है।

यदि आप JRE6 को बिल्कुल भी स्थापित नहीं करना चाहते हैं और केवल JRE8 का उपयोग इसे JRE6 पर सिमलिंक किए बिना कर सकते हैं या तो आप निम्न कार्य कर सकते हैं:

नीचे दिए गए पथ पर स्थित Info.plist को प्रतिलिपि करें जैसे ~ ~ / Downloads /:

 /Library/Java/JavaVirtualMachines/jdk.1.8.<…>/Contents/ 

और फिर प्रतिस्थापित करें

 <key>JVMCapabilities</key> <array> <string>CommandLine</string> </array> 

निम्नलिखित के साथ:

 <key>JVMCapabilities</key> <array> <string>JNI</string> <string>BundledApp</string> <string>CommandLine</string> </array> 

बाद में फ़ाइल को उसके मूल स्थान पर वापस कॉपी करें (आपको व्यवस्थापक अधिकार की आवश्यकता है)। इस परिवर्तन को प्रभावी करने के लिए आपको अपने खाते से लॉग आउट करने की आवश्यकता है (और वापस) या अपने कंप्यूटर को पुनरारंभ करें जावा 6 के लिए संवाद अब प्रकट नहीं होना चाहिए और Eclipse को JRE8 (या JRE7) का प्रयोग करके ठीक ठीक लॉन्च करना चाहिए। वही दूसरे किसी भी आवेदन के लिए सही है जो शुरू में जावा के लिए पूछता है, जैसे कि एडोब के क्रिएटिव सूट

संबंधित नोट पर ऐसा प्रतीत होता है कि सिस्टम प्राथमिकताओं में जावा प्राधान्य पैनल के माध्यम से किए गए अद्यतनों के बाद भी यह प्लास्ट परिवर्तन चिपक जाता है।

अगर यह अभी भी काम नहीं करता है आपको कुछ फ़ोल्डर्स और सिमलिंक ( विवरण ) जोड़ने की आवश्यकता हो सकती है:

 sudo mkdir -p /Library/Java/JavaVirtualMachines/jdk1.8.0_*.jdk/Contents/Home/bundle/Libraries sudo ln -s /Library/Java/JavaVirtualMachines/jdk1.8.0_*.jdk/Contents/Home/jre/lib/server/libjvm.dylib /Library/Java/JavaVirtualMachines/jdk1.8.0_*.jdk/Contents/Home/bundle/Libraries/ sudo mkdir -p /System/Library/Java/JavaVirtualMachines/1.6.0.jdk sudo mkdir -p /System/Library/Java/Support/Deploy.bundle 

ईक्लिपसे को जावा 7 (ओरेकल) के साथ चलाने में सक्षम होने के लिए, मैं इस फाइल का इस्तेमाल करते हुए एक्लिप्स को लॉन्च करता हूं: एक्लिप्स / एक्लेप्से.एप / कंटेन्ट्स / मैकोड / एक्लिप्स "एक्लिप्स्" फ़ोल्डर में इस फ़ाइल के लिए डिफ़ॉल्ट रूप से उपनाम शामिल है तो आपको जो सब कुछ करना है, वह है "एलेप्से" नाम के उपनाम को डबल-क्लिक करना।

इसके अलावा ओरेकल ने चेतावनी दी है कि ओरेकल के जावा संस्करण 7u25 और नीचे ओएस एक्स (नीचे देखें) पर एप्पल द्वारा अक्षम किया गया है। मुझे जावा 7 के साथ एक्लिप्स लॉन्च करने का तरीका जानने से पहले नवीनतम जेडीके संस्करण में अपग्रेड किया गया था। इसलिए मुझे नहीं पता कि अपग्रेड आवश्यक है या नहीं।

मावेरिक्स स्थापित होने के बाद मुझे यह समस्या थी। मैं http://support.apple.com/kb/dl1572 पर एप्पल डाउनलोड से जावा को स्थापित करके इसे हल करने में सक्षम था

आशा है कि ये आपकी मदद करेगा।

आपको मैन्युअल रूप से मैक के लिए जावा को डाउनलोड और इंस्टॉल करना होगा। यही मेरे लिए काम किया है

यहां डाउनलोड करें: http://support.apple.com/kb/DL1572?viewlocale=en_US

मुझे इसे ऊपर दिए गए सुझावों की तरह एक प्रक्रिया के बिना चलने के लिए हुआ मैंने ग्रहण फ़ोल्डर को मिटा दिया और फिर इसे कचरा कचरे से वापस कॉपी किया। कृपया सत्यापित करें कि यह आपके लिए क्या काम करता है

मैक ओएस एक्स पर, ओरेकल से जेआर 7 को स्थापित करने के बाद। डीएमजी डाउनलोड का उपयोग करते हुए, एक्लिप्स खोलने पर, यह अभी भी मेरे पुराने जेआरई 6 को वापस इंगित करता है।

समस्या के कई गूगल खोजों के बाद, और यहां पहुंचने के बाद, हताशा में मैंने "खोज" पर ग्रहण किया -> वरीयताएँ -> स्थापित JREs और वॉयला – यह जेआरई 7 उठाया

मेरे मामले में, ईक्लिप्स 4.5.1 मंगल (ओएस एक्स इंस्टॉलर से स्थापित, एक्लिपसे.ओआरओ से डाउनलोड किया गया) और ओएस एक्स एल कैप्टन के साथ :

  • किसी भी जावा स्थापित करने से पहले ग्रहण इंस्टॉलर चलाने की कोशिश करने से पहले इसका परिणाम हुआ: जावा 6 स्क्रीनशॉट का अनुरोध करने वाले ग्रहण इंस्टालर

  • ओएसएक्स वेबसाइट से ओएस एक्स के लिए जावा 8u72 JDK को स्थापित करने के बाद इंस्टॉलर बिना किसी समस्या के चलाया जा रहा था और इसके बाद ही ग्रहण के साथ ही था।